Package ru.bitel.bgbilling.modules.reports.server.bean

# Class BGReportUtils

java.lang.Object
ru.bitel.bgbilling.modules.reports.server.bean.BGReportUtils

    public class BGReportUtils
    extends java.lang.Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `BGReportUtils.Report` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BGReportUtils()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static void` | `addRequestParams​(ru.bitel.bgbilling.modules.reports.server.report.BGReport report, javax.servlet.http.HttpServletRequest request)` | Добавление в report параметров отчёта из реквеста.
  `static org.json.JSONArray` | `getModuleAndPlugin​(ModuleSetup moduleSetup, java.sql.Connection con)` |
  `static ru.bitel.bgbilling.modules.reports.server.report.BGReport` | `getReport​(java.lang.String id, java.sql.Connection con, java.sql.Connection conSlave, ModuleSetup moduleSetup, int userId, org.apache.logging.log4j.Logger log)` |
  `static java.util.List<BGReportUtils.Report>` | `getReports​(java.lang.String reportModule, java.sql.Connection con)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BGReportUtils

    public BGReportUtils()

- ## Method Details

  - ### getReport

    public static ru.bitel.bgbilling.modules.reports.server.report.BGReport getReport​(java.lang.String id, java.sql.Connection con, java.sql.Connection conSlave, ModuleSetup moduleSetup, int userId, org.apache.logging.log4j.Logger log) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### addRequestParams

    public static void addRequestParams​(ru.bitel.bgbilling.modules.reports.server.report.BGReport report, javax.servlet.http.HttpServletRequest request)
    Добавление в report параметров отчёта из реквеста.

  - ### getModuleAndPlugin

    public static org.json.JSONArray getModuleAndPlugin​(ModuleSetup moduleSetup, java.sql.Connection con) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getReports

    public static java.util.List<BGReportUtils.Report> getReports​(java.lang.String reportModule, java.sql.Connection con) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`